Loading...
Searching...
No Matches
dolfin::MultiMeshAssembler Class Reference

`#include <MultiMeshAssembler.h>`

Inheritance diagram for dolfin::MultiMeshAssembler:
[legend]
Collaboration diagram for dolfin::MultiMeshAssembler:
[legend]

## Public Member Functions

| MultiMeshAssembler ()
| Constructor.
void | assemble (GenericTensor &A, const MultiMeshForm &a)
Public Member Functions inherited from dolfin::AssemblerBase
| AssemblerBase ()
| Constructor.
void | init_global_tensor (GenericTensor &A, const Form &a)

## Public Attributes

bool | extend_cut_cell_integration
Public Attributes inherited from dolfin::AssemblerBase
bool | add_values
bool | finalize_tensor
bool | keep_diagonal

## Additional Inherited Members

Static Protected Member Functions inherited from dolfin::AssemblerBase
static void | check (const Form &a)
| Check form.
static std::string | progress_message (std::size_t rank, std::string integral_type)
| Pretty-printing for progress bar.

## Detailed Description

This class implements functionality for finite element assembly over cut and composite finite element (MultiMesh) function spaces.

## Member Function Documentation

## assemble()

void MultiMeshAssembler::assemble | ( | GenericTensor & | A,
|  | const MultiMeshForm & | a )

Assemble tensor from given form

Parameters

  A | (GenericTensor) The tensor to assemble.
  a | (Form) The form to assemble the tensor from.

## Member Data Documentation

## extend_cut_cell_integration

bool dolfin::MultiMeshAssembler::extend_cut_cell_integration

extend_cut_cell_integration (bool) Default value is false. This controls whether the integration over cut cells should extend to the part of cut cells covered by cells from higher ranked meshes - thus including both the cut cell part and the overlap part.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MultiMeshAssembler.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/MultiMeshAssembler.cpp